View Issue Details

IDProjectCategoryView StatusLast Update
0003632SymmetricDSBugpublic2018-09-10 16:00
ReportergwilmerAssigned Tommichalek 
Priorityhigh 
Status closedResolutionfixed 
Product Version3.9.9 
Target Version3.9.10Fixed in Version3.9.10 
Summary0003632: When file sync is configured and enabled, initial load of files cannot be turned off
DescriptionWhen file synchronization is enabled, initial load of files cannot be turned off, even when sym_file_trigger_router.initial_load_enabled = 0. Each time an initial load is kicked off for table data (either via sym_node_security.initial_load_enabled=1 or via sym_table_reload_request) any file systems are attempted to be initial loaded as well.
Steps To ReproduceSet up a simple 2 tier sync config including simple src->dest file sync. Ensure sym_fle_trigger_router.initial_load_enabled = 0.
Initiate an initial load from src to target

Relationships

related to 0003715 resolvedmmichalek File sync extract batches sometimes show incorrect row counts 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 cd74dc33

2018-07-20 14:50:35

mmichalek

Details Diff
0003632: When file sync is configured and enabled, initial load of files
cannot be turned off

0003632
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/file/FileSyncZipDataWriter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncService.java Diff File

SymmetricDS: 3.9 4147fa33

2018-07-20 14:51:19

mmichalek

Details Diff
0003632: When file sync is configured and enabled, initial load of files
cannot be turned off

0003632
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/file/FileSyncZipDataWriter.java Diff File

Issue History

Date Modified Username Field Change
2018-07-14 17:38 gwilmer New Issue
2018-07-18 10:13 chenson Assigned To => mmichalek
2018-07-18 10:13 chenson Status new => assigned
2018-07-18 10:14 chenson Target Version => 3.9.10
2018-07-20 14:51 mmichalek Status assigned => resolved
2018-07-20 14:51 mmichalek Resolution open => fixed
2018-07-20 14:51 mmichalek Fixed in Version => 3.9.10
2018-07-20 15:00 mmichalek Changeset attached => SymmetricDS 3.9 4147fa33
2018-07-20 15:00 mmichalek Changeset attached => SymmetricDS 3.9 cd74dc33
2018-08-03 10:12 chenson Status resolved => closed
2018-09-10 16:00 mmichalek Relationship added related to 0003715